package ei.game.algo;

public class AStarNeighbour {
	
	private Location location;
	private AStarNode node;
	
	public AStarNeighbour(AStarNode node, Location location) {
		this.node = node;
		this.location = location;
	}
	
	public AStarNode getNode() {
		return node;
	}
	
	public Location getLocation() {
		return location;
	}
		
	public enum Location {
		Adjacent,
		Diagonal
	}

}
